function [ output_args ] = ShowArmStateHold(data)
%SHOWARMSTATE Summary of this function goes here
%   Detailed explanation goes here

state = data';
lefthand_vec = state(1,1:9);
left_offset = [-0.2 0.0 0.0];
lefthand = [[-0.2 0.0 0.0] ; 
bsxfun(@plus,left_offset,reshape(lefthand_vec,[3 3])')];

righthand_vec = state(1,10:18);
right_offset = [0.2 0.0 0.0];
righthand =[[0.2 0.0 0.0];
bsxfun(@plus,right_offset,reshape(righthand_vec,[3 3])')];

body = [[0.2 0.0 0.0];[-0.2 0.0 0.0];[0.0 -0.5 0.0];[0.2 0.0 0.0]];

%state = data;
%lefthand_vec = state(1,1:9);
%righthand_vec = state(1,10:18);
%lefthand = [0,0,0; reshape(lefthand_vec,[3 3])'];
%righthand = reshape(righthand_vec,[3 3])';
%lefthand = state(1:4,1:3)

xmin=-0.5;
ymin=-1;
zmin=-1;
xmax=0.5;
ymax=1;
zmax=1;

axis([xmin xmax ymin ymax zmin zmax]);
hold on
plot3(lefthand(:,3),lefthand(:,1),lefthand(:,2));
plot3(lefthand(:,3),lefthand(:,1),lefthand(:,2), 'bo');
plot3(righthand(:,3),righthand(:,1),righthand(:,2));
plot3(righthand(:,3),righthand(:,1),righthand(:,2), 'ro');
plot3(body(:,3),body(:,1),body(:,2),'g');
hold off
grid off
%pause(0.1)


end

