function [ state_arm ] = TransformSkeletonToArmPos( data )
%SKELETONTOARMVEC Summary of this function goes here
%   Detailed explanation goes here
[num_data num_features] = size(data);
state_arm = zeros(num_data,18);

for i = 1:1:size(data,1)
    skel = reshape(data(i,:),[3 20])';
    lefthand = bsxfun(@minus,skel(6:8,:),skel(5,:));
    righthand = bsxfun(@minus,skel(10:12,:),skel(9,:));
    
    %need to transpose so that the reshape is aligned.
    lh_transpose = lefthand';
    rh_transpose = righthand';
    
    lefthand_vec = lh_transpose(:)';
    righthand_vec = rh_transpose(:)';

    state_arm(i,:) = [lefthand_vec righthand_vec];
 
    %ShowArmState([lefthand_vec righthand_vec]');
		%pause
end

inv_data = [state_arm(:,10:18),state_arm(:,1:9)];
for inv_x = 1:3:18
	inv_data(:,inv_x) = [-1.*inv_data(:,inv_x)];
end
state_arm = [state_arm;inv_data];
end

