function status = show_data(X, body_axis)

	xmin=-1;
	ymin=-1;
	zmin=-1;
	xmax=1;
	ymax=1;
	zmax=1;

	for i = 1:size(X,1) 
		skel = reshape(X(i,:),[3 20])';
		skel = bsxfun(@minus,skel,skel(1,:)); 
		
		x = 3; y = 1; z = 2; %Mapping to Matlab Cooridinate Xm=Zs, Ym=Xs, Zm=Ys
		
		cla
		axis([xmin xmax ymin ymax zmin zmax]);
		hold on
		plot3(skel(:,x),skel(:,y),skel(:,z), 'bo');
		plot3(skel(1:4,x),skel(1:4,y),skel(1:4,z),'--b');
		plot3(skel(9:12,x),skel(9:12,y),skel(9:12,z),'r');
		plot3(skel(5:8,x),skel(5:8,y),skel(5:8,z),'r');
		plot3(skel(17:20,x),skel(17:20,y),skel(17:20,z),'--b');
		plot3(skel(13:16,x),skel(13:16,y),skel(13:16,z),'--b');
		plot3(skel([9 3 5],x),skel([9 3 5],y),skel([9 3 5],z),'--r');
		plot3(skel([17 1 13],x),skel([17 1 13],y),skel([17 1 13],z),'--b');
		
		offset = skel(2,:);
		for j = 1:3
			plot3([offset(1,x) offset(1,x)+body_axis(j,x)],[offset(1,y) offset(1,y)+body_axis(j,y)],...
			[offset(1,z) offset(1,z)+body_axis(j,z)],'m');
		end
		
		body_axis = [1 0 0;0 1 0; 0 0 1]*2;
		for j = 1:3
			plot3([offset(1,x) offset(1,x)+body_axis(j,x)],[offset(1,y) offset(1,y)+body_axis(j,y)],...
			[offset(1,z) offset(1,z)+body_axis(j,z)],'--k');
		end	
		hold off
		grid off
		pause(0.03)
	end
end